SCREEN_WIDTH=1200;
SCREEN_HEIGHT=675;
SCREEN_ASPECT_RATIO=SCREEN_WIDTH/SCREEN_HEIGHT;



function calCardSize(card_width,card_height)
{
    var card_precent=card_height/card_width;
    card_width=card_width*100/SCREEN_WIDTH;
    card_height=card_width*card_precent*SCREEN_ASPECT_RATIO;
    
    return [card_width,card_height];
}

function calCardPos(card_pos_x,card_pos_y)
{
    var card_pos_precent=card_pos_y/card_pos_x;
    card_pos_x=card_pos_x*100/SCREEN_WIDTH;
    card_pos_y=card_pos_x*card_pos_precent*SCREEN_ASPECT_RATIO;
    
    return [card_pos_x,card_pos_y];
}

function createCardDiv(card_id,card_width,card_height,card_pos_x,card_pos_y,img,img_offsx,img_offsy)
{
	var _card_width=card_width
	var _card_height=card_height;
	
    var s=calCardSize(card_width,card_height);
    card_width=s[0];
    card_height=s[1];
    
    var p=calCardPos(card_pos_x,card_pos_y);
    card_pos_x=p[0];
    card_pos_y=p[1];
    
    img=preload.getResult(img);
    

    if (img_offsx!=0) 
    {
    	img_offsx=(100*img_offsx)/856;
    }
    img_offsx+=img_offsx/3;
    var card='<div class="card" id="'+card_id+'" style="position:absolute; background-image:url(' + img.src + ');  background-position:'+img_offsx+'% '+img_offsy+'%; top:'+card_pos_y+'%; left:'+card_pos_x+'%; width:'+card_width+'%; height:'+card_height+'%;"></div>';
  //  console.log(card);
    return $(card);
}



function resizeGame()
{
    var gameArea = document.getElementById('gameArea');
    var widthToHeight = SCREEN_ASPECT_RATIO;
    var newWidth = window.innerWidth;
    var newHeight = window.innerHeight;
    var newWidthToHeight = newWidth / newHeight;

    if (newWidthToHeight > widthToHeight) {
        newWidth = newHeight * widthToHeight;
        gameArea.style.height = newHeight + 'px';
        gameArea.style.width = newWidth + 'px';
    } else {
        newHeight = newWidth / widthToHeight;
        gameArea.style.width = newWidth + 'px';
        gameArea.style.height = newHeight + 'px';
    }

    gameArea.style.marginTop = (-newHeight / 2) + 'px';
    gameArea.style.marginLeft = (-newWidth / 2) + 'px';

    var gameContainer = document.getElementById('gameContainer');
    gameContainer.width = newWidth;
    gameContainer.height = newHeight;
    
    var toolBar=document.getElementById('toolsPanel');
    toolBar.width = newWidth;
}

window.addEventListener('resize', resizeGame, false);
window.addEventListener('orientationchange', resizeGame, false);

