var __game_script = {
    "start_page":
	{
	    "background_img": "IMG_start_img",
	    "sound": "SND_snd_start",
	    "title": "Piętra roślinności w&nbsp;Tatrach",
	    "long_text_close": "Kliknij, aby zamknąć.",
	    "short_text": "Kliknij na zaznaczony obszar i&nbsp;obejrzyj go w&nbsp;powiększeniu.",
	    "long_text":
		"W Tatrach znajdują&nbsp;się jedne z&nbsp;najwyższych szczytów górskich w Polsce. Kiedy spoglądamy na ich panoramę, widzimy, że u&nbsp;podnóża góry porośnięte są&nbsp;często gęstym lasem, a ich wierzchołki pozostają skaliste. To dlatego, że roślinność w&nbsp;Tatrach „rośnie piętrami”&nbsp;–&nbsp;każde piętro ma nieco inny klimat. A&nbsp;to&nbsp;oznacza, że wraz ze zwiększaniem&nbsp;się wysokości nad poziomem morza zmieniają&nbsp;się takie elementy klimatu jak średnia temperatura czy roczna suma opadów. Sprawdź, jak nazywają&nbsp;się poszczególne piętra roślinności w&nbsp;Tatrach. <br />Kliknij na zaznaczony obszar i&nbsp;obejrzyj go w&nbsp;powiększeniu.",
	},
    "game":
	{
	    "snd_lektor": "SND_snd_lektor",
	    "type": "zoom",
	    "data": {
		"view_width": 2700,
		"view_height": 1519,
		"view_background_img": "IMG_game_background",
		"zoom_area": {
		    "width": 860,
		    "height": 860,
		    "x": 1685,
		    "y": 128,
		},
		"objects": [
		    {
			"x": 92,
			"y": 106,
			"width": 1476,
			"height": 906,
			"image": "IMG_obj1"
		    },
		],
		"zoom_zones":
		    [
			{
			    "x": 197,
			    "y": 142,
			    "width": 254,
			    "height": 254,
			    "image": "IMG_turnia",
			    "text": "Turnie to rodzaj skalistego szczytu o stromych, nawet pionowych ścianach i ostrym wierzchołku.",
			    "title": "Turnia",
			    "snd": "SND_snd_turnia"
			},
			{
			    "x": 633,
			    "y": 363,
			    "width": 254,
			    "height": 254,
			    "image": "IMG_kosodrzewina",
			    "text": "Piętro kosodrzewiny, zwanej też kosówką, porastają zwarte zarośla tej rośliny.",
			    "title": "Kosodrzewina",
			    "snd": "SND_snd_kosodrzewina"
			},
			{
			    "x": 1123,
			    "y": 286,
			    "width": 254,
			    "height": 254,
			    "image": "IMG_hala",
			    "text": "Hale to trawiaste górskie łąki.",
			    "title": "Hala",
			    "snd": "SND_snd_hale"
			},
			{
			    "x": 292,
			    "y": 449,
			    "width": 254,
			    "height": 254,
			    "image": "IMG_regiel_gorny",
			    "text": "Regiel górny porastają lasy iglaste.",
			    "title": "Regiel górny - las iglasty",
			    "snd": "SND_snd_regiel_gorny"
			},
			{
			    "x": 1074,
			    "y": 559,
			    "width": 254,
			    "height": 254,
			    "image": "IMG_regiel_dolny",
			    "text": "Regiel dolny porastają lasy liściaste i mieszane.",
			    "title": "Regiel dolny - las liściasty",
			    "snd": "SND_snd_regiel_dolny"
			},
			{
			    "x": 576,
			    "y": 730,
			    "width": 254,
			    "height": 254,
			    "image": "IMG_pola_uprawne",
			    "text": "Pola uprawne",
			    "title": "Pola uprawne",
			    "snd": "SND_snd_pola_uprawne"
			}

		    ],
		"glass": {
		    "image": "IMG_glass",
		    "width": 393,
		    "height": 605,
		    "transform_origin_x": 175,
		    "transform_origin_y": 169,
		    "transform_style": "rotate-point"
		}
	    }

	}
};
	